"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@kunn/core");
const io_1 = require("@sudoo/io");
const panic_1 = require("../panic/panic");
exports.fromConfig = (path) => __awaiter(void 0, void 0, void 0, function* () {
    const parsed = yield io_1.recursiveRead(path);
    const kunn = core_1.Kunn.fromAny(parsed);
    if (!kunn.validate()) {
        throw panic_1.panic.code(panic_1.ERROR_CODE.CONFIG_NOT_VALID);
    }
    return kunn;
});
