"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const connor_1 = require("connor");
exports.MODULE_NAME = 'KUNN';
var ERROR_CODE;
(function (ERROR_CODE) {
    ERROR_CODE[ERROR_CODE["JSON_PARSE_FAILED"] = 1201] = "JSON_PARSE_FAILED";
    ERROR_CODE[ERROR_CODE["OBJECT_REFERENCE_NOT_OBJECT"] = 2005] = "OBJECT_REFERENCE_NOT_OBJECT";
    ERROR_CODE[ERROR_CODE["CONFIG_NOT_VALID"] = 2900] = "CONFIG_NOT_VALID";
})(ERROR_CODE = exports.ERROR_CODE || (exports.ERROR_CODE = {}));
exports.ERROR_LIST = {
    [ERROR_CODE.JSON_PARSE_FAILED]: 'Parsing json failed: "{}"',
    [ERROR_CODE.OBJECT_REFERENCE_NOT_OBJECT]: 'Object reference must be a object, but: "{}"',
    [ERROR_CODE.CONFIG_NOT_VALID]: 'Configuration not valid',
};
exports.panic = connor_1.Panic.withDictionary(exports.MODULE_NAME, exports.ERROR_LIST);
